%define name kppy
%define version 1.5.2
%define unmangled_version 1.5.2
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A Python-module to provide an API to KeePass 1.x files which are also used by the popular KeePassX.
Group: Development/Libraries
License: GPLv3 or later
Url: http://raymontag.github.com/kppy
Vendor: Karsten-Kai Koenig <kkoenig@posteo.de>
Source0: https://github.com/raymontag/%{name}/archive/%{unmangled_version}.tar.gz#/%{name}-%{unmangled_version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch

BuildRequires: python3

Requires: python3
Requires: python3-pycryptodomex

%description
kppy is a Python-module that provides full access to KeePass 1.x password
databases which are used by the popular password manager KeePassX. Full access
means:
	- Open, save and close KP-files correctly
	- Edit KP-files correctly and comfortable
	- AES encryption
	- First Python module for KeePass 1.x files that supports keyfiles, too.
	- First Python-KeePass module for Python 3. (Python 2 is supported, too)
Some explanation to KeePass databases:
	- Database files are encrypted with AES
	- Database entries are sorted in groups
	- Groups support subgroups
	- Every entry has a title for better identification
	- Expiration dates for entries


%prep
%setup -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Thu Aug 30 2018 Johan Heikkila <johan.heikkila@gmail.com>
- updated to 1.5.2
* Sun Mar 19 2017 Johan Heikkila <johan.heikkila@gmail.com>
- Initial rpm for Fedora
